Quassel IRC - Bug #1243

URLSs not parsed correctly (accepts invalid chars as part of the URL)
10/04/2013 07:14 PM - krf

Status: Resolved Start date: 10/04/2013
Priority: Low Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.9-pre 0S: Any
Description

Example line in IRC:
<kgbot> Anmol Ahuja master * [http:/git.hades.name/cgit.cgi/amarok.git/commit/?id=8ebcf55] Add missing forward declaration

Identified URL by Quassel:
http://git.hades.name/cgit.cgi/amarok.git/commit/?id=8ebcf55]

The 'T' at the end of the string is not a valid char as of RFC 2396 (Uniform Resource Identifier (URI): Generic Syntax).

Quoting http:/stackoverflow.com/a/1547922: "The '[' and ']’ characters are <reserved> characters and should be percent escaped if
not used as delimiters in the scheme-specific syntax. The spec says:".

Hence, the URL should rather be: http://git.hades.name/cqit.cgi/amarok.git/commit/?id=8ebcf55

| guess there are more problems with other characters, probably just needs fixing of a regexp.

Associated revisions

Revision ¢1559056 - 03/09/2014 06:42 PM - Express50
Fix URL regex

Removes unwise characters from URL regex. These characters should be percent escaped according to RFC 2396.

Fixes #1243

History

#1 - 03/14/2014 06:32 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassellcommit:c1559056803360cc528c578e3458a0bae33bd56¢.
